Summary:	X.org video driver for SiS video chips connected via a Net2280-based USB dongle
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów SiS podłączonych poprzez przejściówkę USB Net2280
Name:		xorg-driver-video-sisusb
Version:	0.9.6
Release:	6
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sisusb-%{version}.tar.bz2
# Source0-md5:	8ebcd2bc5a87a3f1362fa76616a83e57
Patch0:		mibstore.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for SiS video chips connected via a Net2280-based
USB dongle. It supports SiS315E/PRO video chipset.

Note: it requires a Linux kernel driver (included in Linux 2.6.12 and
later).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów SiS podłączonych poprzez
przejściówkę USB opartą na układzie Net2280. Obsługuje układ graficzny
SiS315E/PRO.

Uwaga: wymaga sterownika jądra Linuksa (załączonego w wersji Linuksa
2.6.12 i późniejszych).

%prep
%setup -q -n xf86-video-sisusb-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/sisusb_drv.so
%{_mandir}/man4/sisusb.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-sisusb.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cea94e
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ebf6bb
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> f7d9749
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 02c5d75
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 95c69c5
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 8daaf70
- updated to 0.9.6

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> d6ce9c1
- updated to 0.9.5
- removed obsolete git patch

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 81a5032
- rel 7
- sync with git for new ABI

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fef52e
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1438ad8
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 85457d5
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 881b550
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> fdb5e08
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 81ef316
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 355387e
- up to 0.9.4

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f4b579
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8232a41
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c84ea95
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f21911c
- up to 0.9.3

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> fb71806
- updated to 0.9.2

